Work Locations
Get Work Locations
Get a specific Work Location or all Work Locations in Zeal’s system for a company.
GET
/
workLocations
Get Work Locations
curl --request GET \
--url https://api.zeal.com/workLocations \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/workLocations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/workLocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"workLocationID": "531fece70b6d0b5d29c9f352",
"companyID": "1234567890",
"taxableLocationID": "609ffdf81a5f9c4c10b0c443",
"name": "Head Quarters",
"work_site_id": "HQ"
},
{
"workLocationID": "54358gjhldf58094f",
"companyID": "1234567890",
"taxableLocationID": "789gfsd7892347c",
"name": "Satellite Office Number 1",
"work_site_id": "S1"
}
]
}{
"success": false,
"errors": [
{
"message": "Work Location(s) not found",
"status": 400,
"code": 58
}
]
}Authorizations
Query Parameters
Company ID of the employer
Work Location ID of the object you're querying
Taxable Location ID of the object(s) you are querying
The array of US States (2 letter abbreviation) applicable to the objects that you are querying
ID assigned to the Work Location
⌘I
Get Work Locations
